Skip to content

Disable a user in a specific Vault or disable a user in all Vaults in the domain. domain=true can be (optionally) added to the request endpoint.

System Admins and Vault Owners can update users in the Vaults where they have administrative access. System Admins who are also Domain Admins have an unrestricted access to users across all Vaults in the domain.

DELETE/api/{version}/objects/users/{user_id}
NameDescription
Acceptapplication/json (default) or application/xml
NameDescription
{user_id}The user id field value. See Retrieve All Users above.
NameDescription
domainWhen true, this disables the user account in all Vaults in the domain.

This request will set the user (ID: 25001) profile to inactive in the Vault in which the request is made. The user will still be a member in the Vault and retain their license type and security profile, but their user profile will be inactive and they will no longer have access to the Vault.

Request: Disable User in All Domain Vaults

Section link for Request: Disable User in All Domain Vaults

This request will set the user (ID: 25001) profile to inactive in all Vaults in your domain. The user will still be a member in the Vaults and retain their license types and security profiles, but their user profile will be inactive and they will no longer have access to any Vaults in your domain.

curl -X DELETE -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.2/objects/users/25001

Request : Disable User in All Domain Vaults

Section link for Request : Disable User in All Domain Vaults
curl -X DELETE -H "Authorization: {SESSION_ID}" \ https://myvault.veevavault.com/api/v17.2/objects/users/25001?domain=true
{ "responseStatus": "SUCCESS", "id": 25001 }